% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/preprocessing.R
\name{texts_to_matrix}
\alias{texts_to_matrix}
\title{Convert a list of texts to a matrix.}
\usage{
texts_to_matrix(tokenizer, texts, mode = c("binary", "count", "tfidf",
  "freq"))
}
\arguments{
\item{tokenizer}{Tokenizer}

\item{texts}{Vector/list of texts (strings).}

\item{mode}{one of "binary", "count", "tfidf", "freq".}
}
\value{
A matrix
}
\description{
Convert a list of texts to a matrix.
}
\seealso{
Other text tokenization: \code{\link{fit_text_tokenizer}},
  \code{\link{save_text_tokenizer}},
  \code{\link{sequences_to_matrix}},
  \code{\link{text_tokenizer}},
  \code{\link{texts_to_sequences_generator}},
  \code{\link{texts_to_sequences}}
}
